import request from '@/utils/request'

// 查询物资属性项--分页
export function PropertyPage(query) {
  return request({
    url: '/iscs/property/getIsMaterialsPropertyPage',
    method: 'get',
    params: query
  })
}

// 新增物资属性项
export function addProperty(data) {
  return request({
    url: '/iscs/property/insertIsMaterialsProperty',
    method: 'post',
    data: data
  })
}

// 修改物资属性项
export function updateProperty(data) {
  return request({
    url: '/iscs/property/updateIsMaterialsProperty',
    method: 'post',
    data: data
  })
}

// 删除物资属性项
export function deleteProperty(data) {
  return request({
    url: '/iscs/property/deleteIsMaterialsPropertyByPropertyIds?propertyIds=' + data,
    method: 'post',
  })
}

// 获取属性项详细信息
export function selectPropertyById(query) {
  return request({
    url: '/iscs/property/selectIsMaterialsPropertyById?propertyId=' + query,
    method: 'get',
  })
}

